#!/bin/lua
-- (c) 2005,2006 Robert Shingledecker
-- GUI frontend to /opt/.dslrc

dofile("/etc/init.d/functions5.lua")

w = fltk:Fl_Window(420,100, "DSL Repositorios")
url = fltk:Fl_Input(70,10,340,25,"URL:")
url:value(getOption("/opt/.dslrc","Mirror"))

protocol = fltk:Fl_Input(70,40,50,25,"Protocolo:")
protocol:value(getOption("/opt/.dslrc","Protocol"))

select = fltk:Fl_Button(135,70,70,25,"&Selecc")
select:callback(
function(select)
  os.execute('dslMirrorSel.lua')
  url:value(getOption("/opt/.dslrc","Mirror"))
  protocol:value(getOption("/opt/.dslrc","Protocol"))
end)

save = fltk:Fl_Button(225,70,70,25,"&OK")
save:callback(
function(save)
  if url:value() == "" then
     io.write(string.char(7)) io.flush()
  else
     io.output("/opt/.dslrc")
     io.write("Mirror: "..url:value() .. "\n")
     io.write("Protocol: "..protocol:value() ..  "\n")
     io.flush()
     os.exit(0)
  end
end)

w:show()
Fl:run()
